
Redmine - Defect #32153

Repository browser does not render previews for audio/video files

2019-09-26 17:25 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed Affected version:  

Description

#27336 added preview for audio/video files to attachments and repositories, however, audio/video preview for repositories is not

working. It always shows "No preview available" message for all kind of audio/video files.

 

Related issues:

Related to Redmine - Patch #27336: Render previews for audio and video files Closed

Associated revisions

Revision 19492 - 2020-02-04 06:32 - Go MAEDA

Repository browser does not render previews for audio/video files (#32153).

Patch by Mizuki ISHIKAWA.

History

#1 - 2019-09-26 17:25 - Go MAEDA

- Related to Patch #27336: Render previews for audio and video files added

#2 - 2019-09-26 17:27 - Go MAEDA

- File 32153-workaround.patch added

Attaching a quick-and-dirty workaround.

#3 - 2019-09-30 13:40 - Anonymous

Go MAEDA wrote:

Attaching a quick-and-dirty workaround.

 Thanks :-)

I'll share more feedback after I test it if I'll find more bugs

#4 - 2019-11-28 00:37 - Anonymous
https://www.redmine.org/issues/27336


Update: this seems to be working with no problems so far, if somebody else could double check it for security sake, it would be a really cool fix to

commit ;-)

#5 - 2019-11-28 00:39 - Go MAEDA

- Target version set to Candidate for next major release

#6 - 2019-12-23 09:44 - Mizuki ISHIKAWA

- File 0002-Add-test.patch added

If you need tests to commit 32153-workaround.patch, add tests based on the attached patch.

0002-Add-test.patch is a patch that should be applied after 32153-workaround.patch is applied

0002-Add-test.patch adds a .mp4 file to the test subversion_repository.

rake test:scm:update command must be executed after applying the patch for the test to succeed

#7 - 2020-01-04 04:21 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.1

Mizuki ISHIKAWA wrote:

If you need tests to commit 32153-workaround.patch, add tests based on the attached patch.

 Thanks. Setting the target version to 4.1.1.

#8 - 2020-02-04 06:32 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

#9 - 2020-02-04 13:20 - Go MAEDA

- Status changed from Resolved to Closed

- Target version changed from 4.1.1 to 4.2.0

#10 - 2023-08-24 05:09 - crystal su

- File clipboard-202308241102-0zsg9.png added

- File clipboard-202308241105-s6lip.png added

- File clipboard-202308241106-t8muo.png added
clipboard-202308241102-0zsg9.png 

This is my redmine environment information. I saw that the official website redmine4.0 began to support online preview videos.

When I was browsing the uploaded video online, the following error message occurred. (Video in mp4 format, h264 encoding)
clipboard-202308241105-s6lip.png 

When I open debugging, the following error message is displayed, is there a problem with my service configuration? Still video encoding format does

not support online browsing. Thank you very much for your answer

 clipboard-202308241106-t8muo.png 

#11 - 2023-08-24 05:18 - Go MAEDA

Please don't add comments to closed and released issue.

Files

no-preview-available@2x.png 40.2 KB 2019-09-26 Go MAEDA

32153-workaround.patch 2.34 KB 2019-09-26 Go MAEDA

0002-Add-test.patch 166 KB 2019-12-23 Mizuki ISHIKAWA

clipboard-202308241102-0zsg9.png 66.3 KB 2023-08-24 crystal su

clipboard-202308241105-s6lip.png 30.1 KB 2023-08-24 crystal su
clipboard-202308241106-t8muo.png 13.5 KB 2023-08-24 crystal su
